package MurderTrialWatch
{
	function clientcmdBottomPrint(%line, %time, %box)
	{
		if ($MT_Enable)
			%line = %line @ "<just:right>" @ $MT_WatchText;
		Parent::clientcmdBottomPrint(%line, %time, %box);
	}
	
	function NewChatHud_addLine(%line)
	{
		if (%line $= "\c5It is now \c3Night\c5.")
		{
			$MT_IsNight = 1;
			$MT_Start = getSimTime();
			$MT_Enable = 1;
			MT_Watch();
		}
		else if (%line $= "\c5It is now \c3Day\c5.")
		{
			$MT_IsNight = 0;
			$MT_Start = getSimTime();
			$MT_Enable = 1;
			MT_Watch();
		}
		else if (strPos(%line, "\c5A new round has started. Current mode is: ") == 0)
		{
			$MT_IsNight = 0;
			$MT_Start = (getSimTime() - 150000) | 0;
			$MT_Enable = 1;
			MT_Watch();
		}
		Parent::NewChatHud_addLine(%line);
	}
};
activatePackage("MurderTrialWatch");

function MT_Watch()
{
	cancel($MT_Watch);
	%time = (getSimTime() - $MT_Start) | 0;
	%time *= 0.192;
	%time += $MT_IsNight ? 79200 : 21600;
	%time -= mFloor(%time / 86400) * 86400;
	%hour = mFloor(%time / 3600);
	%minute = mFloor((%time - %hour * 3600) / 60);
	if (%minute < 10)
		%minute = "0" @ %minute;
	%pastNoon = %hour >= 12 ? "PM" : "AM";
	%hour = %hour % 12;
	if (%hour == 0)
		%hour = 12;
	$MT_WatchText = "\c6Time: \c3" @ %hour @ ":" @ %minute SPC %pastNoon;
	$MT_Watch = schedule(16, 0, "MT_Watch");
}